Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSGroupDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSGroupDecl

public class XSGroupDecl
extends java.lang.Object
implements weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition

The XML representation for a group declaration schema component is a global element information item

Field Summary
`XSModelGroupImpl` | `fModelGroup`
`java.lang.String` | `fName`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSGroupDecl()`

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Optional.
`weblogic.apache.xerces.impl.xs.psvi.XSModelGroup` | `getModelGroup()` {model group} A model group.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fModelGroup

    public XSModelGroupImpl fModelGroup

Constructor Detail

### XSGroupDecl

    public XSGroupDecl()

Method Detail

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getModelGroup

    public weblogic.apache.xerces.impl.xs.psvi.XSModelGroup getModelGroup()

  {model group} A model group.
  Specified by:
    getModelGroup in interface weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    getAnnotation in interface weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD